%global momorel 2
Summary: userspace virtual filesystem
Name: gvfs
Version: 0.2.5
Release: %{momorel}m%{?dist}
License: LGPL
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: gtk2-devel >= 2.12.9
BuildPrereq: dbus-devel >= 1.2.1
BuildPrereq: libsoup-devel >= 2.4.1-2m
BuildPrereq: libxml2-devel >= 2.6.31
BuildPrereq: avahi-glib-devel >= 0.6.22
BuildPrereq: avahi-devel >= 0.6.22
BuildPrereq: libcdio-devel >= 0.78.2
BuildPrereq: fuse-devel >= 2.7.2
BuildPrereq: GConf2-devel >= 2.22.0
BuildPrereq: hal-devel >= 0.5.10
BuildPrereq: dbus-glib-devel >= 0.74
BuildPrereq: bluez-libs-devel >= 3.26
BuildPrereq: libgphoto2-devel >= 2.4.0
BuildPrereq: gnome-keyring-devel >= 2.22.1
Requires: GConf2

%description
gvfs is a userspace virtual filesystem designed to work with the i/o
abstractions of gio (a library availible in glib >= 2.15.1). It
installs several modules that are automatically used by applications
using the APIs of libgio. There is also fuse support that allows
applications not using gio to access the gvfs filesystems.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
rm %{buildroot}%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/profile.d/gvfs-bash-completion.sh
%{_bindir}/gvfs*
%{_libdir}/gio/modules/libgiogconf.*
%{_libdir}/gio/modules/libgiohal-volume-monitor.*
%{_libdir}/gio/modules/libgvfsdbus.*
%{_libdir}/libgvfscommon.so.*
%{_libexecdir}/gvfs*
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_includedir}/gvfs-client
%{_libdir}/libgvfscommon.so

%changelog
* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-2m)
- rebuild against gnutls-2.4.1 (libsoup)

* Mon Jun 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.5-1m)
- update to 0.2.5

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.4-1m)
- update to 0.2.4

* Thu Apr 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.3-1m)
- update to 0.2.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.2-2m)
- rebuild against gcc43

* Sat Mar 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-1m)
- update to 0.2.2

* Tue Mar 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0.1-1m)
- initial build
